## GwySelectionQuad

GwySelectionQuad — Quadrilateral selection

## Functions

GwySelection * | gwy_selection_quad_new ()

## Types and Values

struct | GwySelectionQuad
struct | GwySelectionQuadClass

## Object Hierarchy

        GObject
        ╰── GwySelection
            ╰── GwySelectionQuad

## Implemented Interfaces

GwySelectionQuad implements GwySerializable.

## Includes

    #include <libgwyddion/gwyddion.h>

## Description

GwySelectionQuad represents general quadrilaterals. They are usually interpreted as the results of a projective transformation of some rectangle, but it can be used in other situations when arbitrary quadrilaterals are needed. Selection data consist of octuples of coordinates (x₀, y₀, x₁, y₁, x₂, y₂, x₃, y₃), where 0, 1, 2 and 3 denote the four vertices of the quadrilateral, going along the perimeter. For convex quadrilaterals the vertices should be in the clockwise order.

## Functions

### gwy_selection_quad_new()

    GwySelection *
    gwy_selection_quad_new (void);

Creates a new quad selection.

#### Returns

A new selection object.

## Types and Values

### struct GwySelectionQuad

    struct GwySelectionQuad;

### struct GwySelectionQuadClass

    struct GwySelectionQuadClass {
        GwySelectionClass parent_class;
    };